package com.zjrs.zwnw.psam.bpo;

import org.mohrss.leaf.core.framework.domain.bpo.IBPO;
import org.mohrss.leaf.core.framework.persistens.PageResult;
import org.mohrss.leaf.core.framework.web.controller.AjaxResponse;
import com.zjrs.zwnw.psam.dto.*;

public interface PsamKglBPO  extends IBPO {
    //查询列表
    public PageResult getList(PsamKglDTO dto, int page, int rows);
    //入库
    public AjaxResponse saveRk(PsamRkDTO dto);
    //注销
    public AjaxResponse logoutKh(PsamZxDTO dto);
    //收回
    public AjaxResponse recoverKh(PsamZxDTO dto);
    //冻结
    public AjaxResponse frozenIn(PsamZxDTO dto);
    //解冻
    public AjaxResponse frozenOut(PsamZxDTO dto);
    //保存附件
    public AjaxResponse saveFj(PsamFjDTO dto);
    //删除附件
    public AjaxResponse delFj(PsamFjDTO dto);
    //查询附件记录
    public PageResult getFjList(PsamQueryFjDTO dto, int page, int rows);
    //发放
    public AjaxResponse provideKh(PsamFfDTO dto);
    //卡单位信息维护：查询列表
    public PageResult kdwwhGetList(PsamKglDTO dto, int page, int rows);
    //查询详情信息
    public AjaxResponse kdwwhGetInfo(PsamKglDTO dto);
    //保存单位信息
    public AjaxResponse kdwwhSaveData(PsamKdwwhDTO dto);
}
